Hanzo
API Reference

Hanzo Functions API

Org-scoped serverless functions on the unified cloud binary — the

Org-scoped serverless functions on the unified cloud binary — the

Hanzo Functions API · Guide & examples → · All API references →

Base URLhttps://api.hanzo.ai
Version1.0.0
Operations11
GuideHanzo Functions API guide

Authentication

  • bearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://api.hanzo.ai

Endpoints

Functions

MethodEndpointDescription
GET/v1/functionsList functions
POST/v1/functionsCreate a function
GET/v1/functions/triggersList triggers across functions
GET/v1/functions/deploymentsList deployed functions
GET/v1/functions/secretsList function secrets (names only)
GET/v1/functions/{name}Get a function (with triggers, recent invocations, secrets)
DELETE/v1/functions/{name}Delete a function
GET/v1/functions/{name}/invocationsList a function's invocations
GET/v1/functions/{name}/logsGet the latest invocation logs
POST/v1/functions/{name}/invokeInvoke a function (metered compute)

Metrics

MethodEndpointDescription
GET/v1/functions/metricsInvocation histogram + status breakdown

Hanzo Functions API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page